Shops
GET
/v1/shop
const url = 'https://api-admin.billz.ai/v1/shop?page=1&limit=100&only_allowed=true';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/shop?page=1&limit=100&only_allowed=true' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer format: int32
Not a number — 400
limit
integer format: int32
Not a number -> 400
Example
100name
string
Filter by shop name
only_allowed
boolean
When true, only the shops available to the user are returned
Example
truesort_field
string
Works only together with sort_direction
sort_direction
string
Asc|desc; applied only together with sort_field
Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
count
Total count regardless of pagination
integer format: int32
shops
List of shops
Array<object>
object
id
string
company_id
string
name
string
cheque_id
string
quadrature
number format: double
phone_numbers
Array<string>
facebook
string
instagram
string
telegram
string
website
string
has_unique_details
boolean
working_hours
{id, shop_id, week_day, start_time, end_time, is_active}
Array<string>
legal_name
string
address
string
legal_country_id
string
postcode
string
bank_accounts
Array<string>
cash_boxes
{id, name, is_active, e_pos, web_kassa}
Array<object>
object
id
string
name
string
is_active
boolean
e_pos
integer
web_kassa
integer
cash_boxes_count
integer format: int32
color
string
nds
string
inn
string
company_inn
string
ofd_integration_id
string
deleted_at
integer
Examplegenerated
{ "count": 1, "shops": [ { "id": "example", "company_id": "example", "name": "example", "cheque_id": "example", "quadrature": 1, "phone_numbers": [ "example" ], "facebook": "example", "instagram": "example", "telegram": "example", "website": "example", "has_unique_details": true, "working_hours": [ "example" ], "legal_name": "example", "address": "example", "legal_country_id": "example", "postcode": "example", "bank_accounts": [ "example" ], "cash_boxes": [ { "id": "example", "name": "example", "is_active": true, "e_pos": 1, "web_kassa": 1 } ], "cash_boxes_count": 1, "color": "example", "nds": "example", "inn": "example", "company_inn": "example", "ofd_integration_id": "example", "deleted_at": 1 } ]}